import React from 'react';
import { Point } from '../../lib/geo';

const Reticle: React.FC<{}> = () => {
  const center: Point = { x: window.innerWidth / 2, y: window.innerHeight / 2 };
  const radius = Math.min(window.innerWidth, window.innerHeight) / 8;

  return (
    <g>
      <circle
        cx={center.x}
        cy={center.y}
        r={radius}
        fill='transparent'
        stroke='black'
        strokeWidth={2}
      />
      <path
        d={`M ${center.x - radius},${center.y} 
            h ${radius - 3} 
            m ${6},0
            h ${radius - 3}
            M ${center.x},${center.y - radius}
            v ${radius - 3}
            m 0,${6}
            v ${radius - 3}`}
        strokeWidth={1}
        stroke='red'
      />
    </g>
  );
};

export default Reticle;
